%define oname   rvm

Name:       ruby-%{oname}
Version:    1.11.3.5
Release:    %mkrel 9
Summary:    RVM is the Ruby Version Manager (rvm)
License:    MIT
Group:      Development/Ruby
URL:        http://rvm.beginrescueend.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   autoconf
Requires:   byacc
Requires:   readline-devel
Requires:   tcl-devel
Requires:   tk-devel
Requires:   db4-devel
Requires:   libgdbm-devel
Requires:   openssl-devel
Requires:   zlib-devel
Requires:   gcc-c++
Requires:   git
Requires:   curl
Requires:   patch
Requires:   yaml-devel
Requires:   libxml2-devel
# For JRuby
Recommends:   java-1.6.0-sun
# For IronRuby
Recommends:   mono-devel
BuildArch:  noarch

%description
RVM is the Ruby Version Manager (rvm). It manages Ruby interpreter
environments and switching between them.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/spec
%{gem_instdir}/History.md
%{gem_instdir}/Manifest.yml
%{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.11.3.5-9.mga6
+ Revision: 964130
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.11.3.5-8.mga5
+ Revision: 745854
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.3.5-7.mga5
+ Revision: 688954
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Dec 28 2013 pterjan <pterjan> 1.11.3.5-6.mga4
+ Revision: 562489
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.11.3.5-5.mga4
+ Revision: 539095
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 1.11.3.5-4.mga4
+ Revision: 491380
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.11.3.5-3.mga3
+ Revision: 396446
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.11.3.5-2.mga3
+ Revision: 381440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.11.3.5-1.mga3
+ Revision: 313900
- new version 1.11.3.5

* Mon Apr 18 2011 shikamaru <shikamaru> 1.6.3-1.mga1
+ Revision: 87855
- new version 1.6.3

* Tue Apr 12 2011 shikamaru <shikamaru> 1.5.2-1.mga1
+ Revision: 83995
- imported package ruby-rvm


* Tue Apr 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.5.2-1.mga1
- Initial package
